Subject: [1/3] ARM: dts: imx51-zii-common: create common include dtsi

From: [email-masked] (Shawn Guo)
Date: Sun, 1 Jul 2018 16:21:21 +0800

On Wed, Jun 27, 2018 at 02:00:11PM -0300, Fabio Estevam wrote:
> On Wed, Jun 27, 2018 at 1:46 PM, Andrey Smirnov
> <[email-masked]> wrote:
> 
> > We are now starting to give Andrey Gusakov conflicting
> > recommendations. For the sake of moving forward, can we agree that
> > this and similar comments are relatively minor and defer to the
> > maintainers to make a call which way to go?
> > This way Andrey has a clear way on how to move forward with this set.
> 
> The approach in this patched looked fine to me as well.
> 
> Maybe we can have some feedback from Shawn?

I'm overall fine with the approach as well.  But I agree with Nikita's
comment that having pinctrl definition and usage spread in different
files makes reader's life harder.  So I would suggest that we have the
following properties in imx51-zii-rdu1.dts as well.

	pinctrl-names = "default";
	pinctrl-0 = <&pinctrl_swi2c>;

Shawn